<!DOCTYPE html>
<html lang=es>

<head>
    <meta charset="utf-8">
    <title>Formulario</title>
</head>

<body>
    <form>
        <p> <label> Nombre: <input type="text" name="nombre" placeholder="Nombre" required> </label> </p>
        <p> <label> Email: <input type="email" name="correo" placeholder="Correo Electronico" required> </label> </p>
        <p> <label> Fecha de Nacimiento: <input type="date" name="fnac"> </label> </p>
        <p> <label> Edad: <input type="number" name="edad"> </p>
        <p> <label> Contraseña: <input type="password" name="pass"> </label> </p>
        <p> <label> Color: <input type="color" name="color"> </label> </p>
        <p> <label> Página Web: <input type="url" name="paginaweb"> </label> </p>
        <p> 
            <label> 
                Sexo: 
                <input type="radio" name="sexo" value="masculino"> Masculino 
                <input type="radio" name="sexo" value="femenino"> Femenino 
                <input type="radio" name="sexo" value="otro"> Otro 
            </label> 
        </p>
        <p> <label>Hobbies: <input type="checkbox" name="cine"> Cine <input type="checkbox" name="bailar"> Bailar <input type="checkbox" name="patinar"> Patinar </label>
        </p>
        <p> <label>Rango: <input type="range" name="rango" maxlength="30" min=0 max=100> </label> </p>
        <p> <label>Busqueda: <input type="search" name="buscar"> <button>Buscar</button> </label> </p>
        
        <p> <input type="hidden" name="oculto" value="dato oculto"> </p> 
        
        <input type="submit" name="aceptar" value="Aceptar"> 
        <input type="reset" name="cancelar" value="Cancelar">
    </form>
</body>

</html>
